/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 11-nov-2016, 11.20.42
    Author     : Alessandro
*/
body {
    font-family: "Roboto", sans-serif !important;
}
.wrapper {
    height: auto;
}
.navbar {
    border-radius: 0;
}
.navbar-default {
    background-color: #5d7292;
    border: none;
}
.nav > li > a:focus,
.nav > li > a:hover {
    background-color: transparent;
    text-decoration: none;
}
.navbar-default .navbar-toggle {
    border: none;
}
.hrow {
    min-height: 120px;
}
.hrowp {
    min-height: 80px;
}
.hrowb {
    min-height: 34px;
}

.full-circle {
    border-radius: 10px;
    height: 20px;
    width: 20px;
}

.flex-items-xs-middle {
    -moz-box-align: center;
    align-items: center;
}
.flex-items-xs-center {
    -moz-box-pack: center;
    justify-content: center;
}
.flex-items-xs-right {
    justify-content: flex-end;
}
.row {
    display: flex;
    flex-wrap: wrap;
}
.main-panel {
}
.sidebar::after,
.sidebar::before,
.sidebar[data-background-color="white"]::after,
.sidebar[data-background-color="white"]::before,
.off-canvas-sidebar::after,
.off-canvas-sidebar::before,
.off-canvas-sidebar[data-background-color="white"]::after,
.off-canvas-sidebar[data-background-color="white"]::before {
    background-color: #354052;
}
.sidebar .logo,
.off-canvas-sidebar .logo {
    background-color: #354052;
    height: 190px;
    margin-right: 0px;
    margin-left: 0px;
    border-bottom: 1px solid #2e3748;
}
.meteo {
    background: linear-gradient(to top, rgb(110, 143, 167), rgb(161, 201, 203));
    padding-top: 10px;
    padding-bottom: 10px;
    float: right;
    height: 240px;
    position: relative;
    width: calc(100% - 260px);
    z-index: 2;
}
.sidebar .sidebar-wrapper li.active > a:not([data-toggle="collapse"])::after {
    border-left: 2px solid #5d7292;
}
.sidebar[data-active-color="danger"] .nav li.active > a,
.off-canvas-sidebar[data-active-color="danger"] .nav li.active > a {
    color: #5d7292;
}
.sidebar .nav li.active > a,
.off-canvas-sidebar .nav li.active > a {
    border-left: 2px solid #5d7292;
}
.sidebar,
.main-panel {
    background-color: #fff;
}
.tastoMenu {
    background-color: transparent;
    border: none;
    float: right;
}
.navbar-header .navbar-toggle img {
    width: 30px;
    margin-top: 0px;
}
.tastoMenu img {
    width: 3px;
}
.local {
    padding-left: 15px;
    color: #fff;
}
.local p {
    font-family: "Roboto", sans-serif;
    font-size: 32px;
    font-weight: 100;
    margin-bottom: 0px;
}
.templocal p {
    color: #fff;
    font-family: "Roboto", sans-serif;
    font-size: 36px;
    font-weight: 100;
    text-align: center;
    margin-bottom: 0px;
}
.templocal img {
    width: 50px;
    vertical-align: -2px;
}
.templocal .spangradiprinc {
    font-size: 14px;
    vertical-align: 16px;
}
.giorni p {
    font-size: 18px;
    text-align: left;
}
.tempgiorni p {
    font-size: 20px;
    text-align: left;
}
.tempgiorni .spangradi {
    font-size: 12px;
    vertical-align: 6px;
}
.tempgiorni .spanimm img {
    margin-top: 10px;
    width: 8px;
    vertical-align: 0px;
}
.giorni img {
    width: 26px;
    vertical-align: -4px;
}
.main-panel > .content {
    padding: 0px 0px;
    min-height: calc(100% - 123px);
}
.card {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    background-color: #fff;
    color: #17a9a8;
    margin-top: 15px;
    position: relative;
    text-align: center;
    z-index: 1;
}
.contcardhome {
    border-bottom: 1px solid #ededed;
}

.card.dispositivi {
    min-height: 280px;
}

.card.statoambienti {
    min-height: 240px;
}
.card p {
    font-size: 26px;
    padding: 20px;
    margin-bottom: 0px;
}
.card img {
    width: 140px;
}
.datigenerali {
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #ededed;
}
.immdatigenerali {
    padding: 0;
    text-align: center;
}
.immdatigenerali img {
    width: 90%;
}
/*.immdatigenerali.temp img{
    width:30px;
}
.immdatigenerali.multisen img{
    width:24px;
}
.immdatigenerali.lamp img{
    width:20px;
}
.immdatigenerali.mov{
    padding-left:14px;
}
.immdatigenerali.mov img{
    width:26px;
}
.immdatigenerali.man img{
    width:22px;
}
.immdatigenerali.swi img{
    width:26px;
}
.immdatigenerali.sens{
    padding-left:14px;
}
.immdatigenerali.sens img{
    width:28px;
}
.immdatigenerali.swiwatt{
    padding-left:12px;
}
.immdatigenerali.swiwatt img{
    width:30px;
}
.immdatigenerali.int img{
    width:24px;
}*/
.scrittadatigenerali p {
    font-family: "Roboto", sans-serif;
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 300;
    color: #c24562;
}
.scrittadatigenerali.acq p {
    color: #2097c0;
}
.scrittadatigenerali.allar p {
    color: #41cf84;
}
.scrittadatigenerali.temp p {
    color: #5d7292;
}
.risultatidatigenerali {
    text-align: right;
}

.risultatidatigenerali p {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    margin-top: 2px;
    margin-bottom: -4px;
    font-size: 26px;
    color: #c24662;
    line-height: 1em;
}
.risultatidatigenerali.acq p {
    color: #2097c0;
}
.risultatidatigenerali.allar p {
    color: #41cf84;
}

.cmn-toggle {
    position: absolute;
    visibility: hidden;
}
.cmn-toggle + label {
    position: relative;
    cursor: pointer;
    outline: none;
}
input.cmn-toggle-round + label {
    padding: 2px;
    width: 70px;
    height: 30px;
    border-radius: 50px;
}
input.cmn-toggle-round + label:before,
input.cmn-toggle-round + label:after {
    display: block;
    position: absolute;
    top: 1px;
    left: 1px;
    bottom: 1px;
    content: "";
}
input.cmn-toggle-round + label:before {
    right: 1px;
    background-color: #f1f1f1;
    border-radius: 50px;
    transition: background 0.4s;
}
input.cmn-toggle-round + label:after {
    width: 34px;
    height: 25px;
    margin-top: 2px;
    margin-left: 2px;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 50px;
    transition: margin 0.4s;
}
input.cmn-toggle-round.stanza + label:after {
    margin-top: 1px;
}
input.cmn-toggle-round.home + label:after {
    margin-top: 1px;
    margin-left: 1px;
}
input.cmn-toggle-round:checked + label:before {
    background-color: #8ce196;
}
input.cmn-toggle-round:checked + label:after {
    margin-left: 33px;
}
.switch,
label {
    max-width: none;
    margin-bottom: 0px;
}
.statoAmbienti {
    border-bottom: 1px solid #ededed;
    margin-bottom: 20px;
}
.stato {
    border-right: 1px solid #ededed;
    text-align: center;
    padding-bottom: 15px;
}
.stato.amb {
    border-right: none;
}
.scrittastato p {
    margin-top: 15px;
    font-family: "Raleway", sans-serif;
    color: #3f3f3f;
    font-size: 24px;
    font-weight: 200;
}
.imgstato img {
    width: 40px;
}
.stanza {
    text-align: center;
}
.stanza img {
    width: 60px;
    margin-top: 35px;
}
.stanza p {
    margin-top: 10px;
    font-family: "Roboto", sans-serif;
    font-weight: 200;
    color: #fff;
    font-size: 24px;
    margin-bottom: 30px;
}
.immtemp {
    text-align: right;
}
.immtemp img {
    width: 54px;
}
.immprof {
    text-align: center;
    margin-top: 20px;
}
.immprof img {
    border-radius: 50px;
    width: 80px;
}
.sidebar .logo p,
.off-canvas-sidebar .logo p {
    text-align: center;
    float: none;
}
.sidebar .logo p,
.sidebar[data-background-color="white"] .logo p,
.off-canvas-sidebar .logo p,
.off-canvas-sidebar[data-background-color="white"] .logo p {
    font-size: 16px;
    color: #fff;
}
.sidebar .sidebar-wrapper > .nav p,
.off-canvas-sidebar .sidebar-wrapper > .nav p {
    font-size: 14px;
    font-weight: 400;
}
.navbar-header .tastoindietro img {
    width: 28px;
    margin-top: 15px;
    margin-left: 12px;
}

.navbar-header .tastoavanti img {
    margin-left: 12px;
    margin-top: 15px;
    width: 28px;
}

.statointerr {
    border: 1px solid #5d7292;
    width: 100px;
    height: 100px;
    border-radius: 50px;
    text-align: center;
}
.statointerr p {
    font-weight: 200;
    font-size: 32px;
    padding: 0;
    padding-top: 40%;
    color: #5d7292;
}
.statointerr.temp {
    border: 1px solid #5d7292;
}
.statointerr.temp p {
    font-family: "Roboto", sans-serif;
    font-weight: 200;
    font-size: 36px;
    padding-top: 36%;
    color: #5d7292;
}

@media (max-width: 991px) {
    .hrow {
        min-height: 40px;
    }
    .sidebar .logo,
    .off-canvas-sidebar .logo {
        height: 180px;
    }
    .immbatt {
        text-align: right;
    }
    .statointerr {
        border: 1px solid #5d7292;
        border-radius: 50px;
        height: 50px;
        text-align: center;
        width: 50px;
        padding-left: 0px;
        padding-right: 0px;
        margin-right: 15px;
    }
    .statointerr p {
        font-family: "Roboto", sans-serif;
        font-weight: 200;
        font-size: 16px;
        padding-top: 30%;
        color: #5d7292;
    }
    .statointerr.temp p {
        font-size: 16px;
        padding-top: 30%;
        color: #5d7292;
        font-weight: 500;
    }
    .statointerr.temp.false-boolean p,
    .statointerr.temp.true-boolean p {
        font-size: 16px;
        padding-top: 20%;
        color: #5d7292;
        font-weight: 500;
    }
    .immprof {
        margin-top: 10px;
    }
    .meteo {
        height: 165px;
    }
    .local {
        padding-left: 15px;
        color: #fff;
    }
    .local p {
        font-size: 28px;
    }
    .templocal p {
        font-size: 34px;
    }
    .templocal img {
        width: 50px;
        vertical-align: -2px;
    }
    .giorni p {
        font-size: 14px;
    }
    .tempgiorni p {
        font-size: 16px;
    }
    .tempgiorni .spangradi {
        font-size: 9px;
        vertical-align: 6px;
    }
    .tempgiorni .spanimm img {
        margin-top: 10px;
        width: 5px;
        vertical-align: 0px;
    }
    .giorni img {
        width: 22px;
        vertical-align: -4px;
    }
    .off-canvas-sidebar .divider {
        height: 0px;
        margin: 0;
    }
    .off-canvas-sidebar .logo {
        position: relative;
        z-index: 4;
        padding-top: 18px;
        padding-bottom: 18px;
    }
    .navbar-header {
        background-color: #5d7292;
    }
    .navbar-header .navbar-toggle {
        margin: 5px 6px 5px 0;
        width: 50px;
        height: 40px;
        padding: 0px;
    }
    .navbar-header .tastoindietro img {
        width: 22px;
        margin-top: 17px;
        margin-left: 12px;
    }
    .cmn-toggle + label {
        float: right;
        position: relative;
        cursor: pointer;
        outline: none;
    }
    .off-canvas-sidebar {
        box-shadow: 10px 10px 5px #888888;
    }
    .meteo {
        background: linear-gradient(to top, rgb(110, 143, 167), rgb(161, 201, 203));
        padding-top: 10px;
        padding-bottom: 10px;
        height: 240px;
        float: left;
        position: relative;
        width: 100%;
        z-index: 2;
    }
    .stanza img {
        margin-top: 25px;
    }
    input.cmn-toggle-round + label:after {
        width: 28px;
        height: 21px;
    }
    input.cmn-toggle-round + label {
        width: 60px;
        height: 25px;
    }
    input.cmn-toggle-round:checked + label:after {
        margin-left: 29px;
    }
}

@media (min-width: 768px) {
    .container-fluid > .navbar-collapse,
    .container-fluid > .navbar-header,
    .container > .navbar-collapse,
    .container > .navbar-header {
        margin-right: -15px;
        margin-left: -15px;
    }
    .navbar-nav {
        float: none;
        margin: 0;
    }
}

.true-boolean {
    color: #ffffff !important;
    background-color: #00a65a;
    border-color: #cccccc !important;
}

.false-boolean {
    color: #ffffff !important;
    background-color: #cccccc;
    border-color: #cccccc !important;
}

.true-boolean p,
.false-boolean p {
    color: #ffffff !important;
    font-size: 22px !important;
}

.manage-hgm-action {
    text-align: center;
}

.manage-hgm-action.right-border {
    border: none;
    border-right: 1px solid #dddddd;
}

.title-box {
    margin: 0 auto;
    margin-top: 0px;
    margin-bottom: 20px;
    color: #5d7292;
    font-size: 18px;
}

.manage-hgm-action .img-box {
    font-size: 40px;
    text-align: center;
    padding-top: 20px;
    color: #5d7292;
    border: 1px solid #5d7292;
    width: 100px;
    height: 100px;
    border-radius: 50px;
    margin: 0 auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

.manage-hgm-action-mobile .img-box-mobile {
    font-size: 40px;
    padding-top: 20px;
    color: #5d7292;
    border: 1px solid #5d7292;
    width: 100px;
    height: 100px;
    border-radius: 50px;
    margin: 0 auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

.true-boolean {
    color: #ffffff !important;
    background-color: #00a65a;
    border-color: #cccccc !important;
}

.false-boolean {
    color: #ffffff !important;
    background-color: #f39c12;
    border-color: #cccccc !important;
}

.switch-boolean.false-boolean {
    color: #ffffff !important;
    background-color: #dd4b39;
    border-color: #cccccc !important;
}

.true-boolean p,
.false-boolean p {
    color: #ffffff !important;
    font-size: 22px !important;
}

.main-rule-row {
    margin-top: 20px;
    border-top: 1px solid #cccccc;
    border-bottom: 1px solid #cccccc;
    padding-top: 10px;
    padding-bottom: 10px;
    /*background: linear-gradient(to top, rgb(255,255,255), rgb(235,235,235));*/
    /*background: #5d7292;*/
}
.rule-title {
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 18px;
    font-weight: 300;
    color: #5d7292;
}

.rule-title-small {
    margin-bottom: 5px;
    font-size: 14px;
    font-weight: 300;
    color: #5d7292;
}

.trash-icon {
    padding-top: 7px;
    text-align: right;
    color: #5d7292;
    font-size: 18px;
}

.statorules {
    border: 1px solid #5d7292;
    border-radius: 50px;
    height: 50px;
    text-align: center;
    width: 50px;
    padding-left: 0px;
    padding-right: 0px;
    margin: 0 auto;
    margin-top: 10px;
    margin-bottom: 10px;
}
.statorules p {
    font-family: "Roboto", sans-serif;
    font-weight: 600;
    font-size: 18px;
    padding-top: 25%;
    color: #5d7292;
}
.alias-on-button {
    text-align: center;
    margin-top: -70px;
    opacity: 0;
}
.alias_general {
    height: 70px;
}
.general-label {
    text-align: center;
    padding: 10px;
    font-size: 16px;
    color: #5d7292;
}

.general-input {
    margin-top: 10px;
    margin-bottom: 10px;
    text-align: center;
}

.regola p {
    font-weight: bold !important;
}
.buttons-bar {
    padding: 20px;
    text-align: center;
    font-size: 22px;
    border-bottom: 1px solid #cccccc;
    color: #5d7292;
}

.regolaMom select {
    height: 50px;
    background-color: #ffffff;
    padding: 10px;
}

.regolaMom .select-product {
    color: #ffffff;
    background-color: #5d7292;
    -webkit-box-shadow: -2px -7px 36px 0px rgba(204, 204, 204, 1);
    -moz-box-shadow: -2px -7px 36px 0px rgba(204, 204, 204, 1);
    box-shadow: -2px -7px 36px 0px rgba(204, 204, 204, 1);
}
.regolaMom .select-product p {
    color: #ffffff;
}

.statointerr.toogle_button {
    color: #ffffff;
    background-color: #5d7292;
    -webkit-box-shadow: -2px -7px 36px 0px rgba(204, 204, 204, 1);
    -moz-box-shadow: -2px -7px 36px 0px rgba(204, 204, 204, 1);
    box-shadow: -2px -7px 36px 0px rgba(204, 204, 204, 1);
}
.scenario-singolo select {
    height: 50px;
    background-color: #ffffff;
    padding: 10px;
}

.icons {
    display: none;
}

.rule-title-small.center-margin {
    margin: 0 auto;
    text-align: center;
}

.statointerr-regola {
    border: 1px solid #5d7292;
    width: 30px;
    height: 30px;
    border-radius: 20px;
    background-color: #5d7292;
    color: #ffffff;
    padding: 4px;
    padding-left: 6px;
    margin: 0 auto;
    margin-top: 5px;
    margin-bottom: 5px;
}

.statointerr-regola-lungo {
    margin: 0 auto;
    border: 1px solid #5d7292;
    width: 120px;
    height: 30px;
    border-radius: 4px;
    background-color: #5d7292;
    color: #ffffff;
    padding: 4px;
    padding-left: 6px;
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
}

.statointerr-scenario {
    border: 1px solid #5d7292;
    width: 50px;
    height: 50px;
    border-radius: 40px;
    background-color: #5d7292;
    color: #ffffff;
    padding: 10px;
    padding-left: 10px;
    margin: 0 auto;
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
}
.statointerr-scenario-lungo {
    margin: 0 auto;
    border: 1px solid #5d7292;
    width: 80%;
    font-size: 20px;
    min-height: 50px;
    border-radius: 4px;
    background-color: #5d7292;
    color: #ffffff;
    padding: 10px;
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
}

.scenario-singolo {
    border-top: 1px solid #cccccc;
    padding: 10px;
}

.btn {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.btn-default.active {
    background-color: #53b967;
    border-color: #adadad;
}

.btn-default {
    color: #adadad;
    background-color: #ffffff;
    border-color: #adadad;
}

.manage-scenario {
    float: right;
    padding-top: 5px;
    padding-left: 9px;
    font-size: 28px;
    color: #adadad;
    width: 50px;
    height: 50px;
    margin-top: 10px;
    font-weight: bold;
}

.general-input input {
    padding: 5px;
}

.manage-table-first {
    border: 1px solid #eeeeee;
    padding: 20px;
    height: 60px;
    font-weight: bold;
}

.manage-table-middle {
    border: 1px solid #eeeeee;
    padding: 20px;
    height: 60px;
    font-weight: bold;
}
.manage-table-last {
    border: 1px solid #eeeeee;
    padding: 20px;
    height: 60px;
    font-weight: bold;
}
.manage-body .manage-table-first {
    font-weight: normal;
}

.manage-body .manage-table-middle {
    padding-top: 10px;
    font-weight: normal;
}
.manage-body .manage-table-last {
    padding-top: 10px;
    font-weight: normal;
}
.error-message {
    color: red;
}

.btn-unsub-ann {
    width: 140px;
    background-color: #ffffff;
    color: #169bd5;
    font-family: "Times New Roman", Times, serif;
    padding: 6px 12px;
    margin-bottom: 0;
    border: 1px solid transparent;
    border-radius: 4px;
}

.btn-unsub-ann:hover {
    background-color: #f2f2f2;
    color: #169bd5;
}

.btn-unsub-ann:active {
    background-color: #e4e4e4;
    color: #169bd5;
}

.btn-unsub-confirm {
    width: 140px;
    background-color: #169bd5;
    color: #ffffff;
    font-family: "Times New Roman", Times, serif;
    padding: 6px 12px;
    margin-bottom: 0;
    border: 1px solid transparent;
    border-radius: 4px;
}

.btn-unsub-confirm:hover {
    background-color: #4c8dc7;
    color: #ffffff;
}

.btn-unsub-confirm:active {
    background-color: #30546f;
    color: #ffffff;
}

body.error-page {
    background: #f0f0f0 !important;
}
.error-content .outer {
    position: absolute;
    top: 0;

    display: table;

    width: 100%;
    height: 100%;
}
.error-content .outer .middle {
    display: table-cell;

    vertical-align: middle;
}
.error-content .outer .middle .inner {
    width: 300px;
    margin-right: auto;
    margin-left: auto;
}
.error-content .outer .middle .inner .inner-circle {
    height: 300px;

    border-radius: 50%;
    background-color: #ffffff;
}
.error-content .outer .middle .inner .inner-circle:hover i {
    color: #39bbdb !important;
    background-color: #f5f5f5;
    box-shadow: 0 0 0 15px #39bbdb;
}
.error-content .outer .middle .inner .inner-circle:hover span {
    color: #39bbdb;
}
.error-content .outer .middle .inner .inner-circle i {
    font-size: 5em;
    line-height: 1em;

    float: right;

    width: 1.6em;
    height: 1.6em;
    margin-top: -0.7em;
    margin-right: -0.5em;
    padding: 20px;

    -webkit-transition: all 0.4s;
    transition: all 0.4s;
    text-align: center;

    color: #f5f5f5 !important;
    border-radius: 50%;
    background-color: #39bbdb;
    box-shadow: 0 0 0 15px #f0f0f0;
}
.error-content .outer .middle .inner .inner-circle span {
    font-size: 11em;
    font-weight: 700;
    line-height: 1.2em;
    display: block;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
    text-align: center;
    color: #e0e0e0;
}

.error-content .outer .middle .inner .inner-status {
    font-size: 20px;
    display: block;
    margin-top: 20px;
    margin-bottom: 5px;
    text-align: center;
    color: #39bbdb;
}
.error-content .outer .middle .inner .inner-detail {
    line-height: 1.4em;
    display: block;
    margin-bottom: 10px;
    text-align: center;
    color: #999999;
}